Bug 1565166 - libtiff: Use After Free in the t2p_writeproc function in tools/tiff2pdf.c
Summary: libtiff: Use After Free in the t2p_writeproc function in tools/tiff2pdf.c
Keywords:
Status: NEW
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1562824 (view as bug list)
Depends On: 1630032 1630005 1630030 1630031 1630033 1911024
Blocks: 1565172
TreeView+ depends on / blocked
 
Reported: 2018-04-09 14:26 UTC by Laura Pardo
Modified: 2020-12-27 04:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laura Pardo 2018-04-09 14:26:10 UTC
A flaw was found in LibTIFF 4.0.9, there is a Use-After-Free(UAF)in the t2p_writeproc function in tools/tiff2pdf.c. An attacker could exploit this via crafted TIFF file to cause a denial of service or possibly have unspecified other impact.


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1562824

Comment 1 Andrej Nemec 2018-07-02 14:13:48 UTC
*** Bug 1562824 has been marked as a duplicate of this bug. ***

Comment 5 Scott Gayou 2018-09-17 20:08:57 UTC
Looks to have very low impact.

Reported upstream, no acknowledgement from upstream as of yet. Guessing it slipped past the radar or they judged it very low priority.

Interestingly, doesn't appear to affect Fedora 28, so unclear if it was stealth patched accidentally fixed via refactoring.

Comment 6 Scott Gayou 2018-09-17 20:09:42 UTC
Upstream Bug Report:
http://bugzilla.maptools.org/show_bug.cgi?id=2796

Comment 7 Scott Gayou 2018-09-17 20:10:20 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1630031]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1630030]
Affects: fedora-all [bug 1630032]


Note You need to log in before you can comment on or make changes to this bug.